commit 7eb76b3b1721247bc2c9ab6a41c1655158ed3411
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Wed Sep 2 14:50:34 2020 +0100

    libstdc++: Use __throw_exception_again macro for -fno-exceptions
    
    libstdc++-v3/ChangeLog:
    
            * include/bits/stl_iterator.h (counted_iterator::operator++(int)):
            Use __throw_exception_again macro.

diff --git a/libstdc++-v3/include/bits/stl_iterator.h b/libstdc++-v3/include/bits/stl_iterator.h
index 19b1d53f781..d6bb085b3c6 100644
--- a/libstdc++-v3/include/bits/stl_iterator.h
+++ b/libstdc++-v3/include/bits/stl_iterator.h
@@ -2013,7 +2013,7 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
 	    return _M_current++;
 	  } __catch(...) {
 	    ++_M_length;
-	    throw;
+	    __throw_exception_again;
 	  }
 
       }

